petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESFASGetLevels

Gets the number of levels in a FAS, including fine and coarse grids

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASGetLevels(SNES snes, PetscInt *levels)

### Input Parameter

snes -the nonlinear solver context

### Output parameter

levels -the number of levels

### Keywords

MG, get, levels, multigrid

### See Also

SNESFASSetLevels(), PCMGGetLevels()

### Level

advanced

### Location

src/snes/impls/fas/fasfunc.c

### Examples

src/snes/examples/tutorials/ex12.c.html
Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages